Skip to content

Sora 2

Image-to-video endpoint for Sora 2, OpenAI's state-of-the-art video model capable of creating richly detailed, dynamic clips with audio from natural language or images.

POST https://llm.siraya.ai/v1/videos/generations
Authorization string Required
Your API Key (e.g., `Bearer `).

Body

model string
The model ID: `Header`.
prompt string
A text description for the video content.
image_url string
Input image URL.
extra_body map[string]any
Specific parameters.
curl https://llm.siraya.ai/v1/videos/generations \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <API_KEY>" \
  -d '{
    "model": "openai/sora-2-pro-image-to-video",
    "prompt": "A cute baby sea otter",
    "image_url": ""
    "output_format": "url"
  }'
import requests

url = "https://llm.siraya.ai/v1/videos/generations `"
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API_KEY>"
}
data = {
    "model": "openai/sora-2-pro-image-to-video",
    "prompt": "A cute baby sea otter",
    "image_url": ",
    "extra_body": {"output_format": "url"}
}

response = requests.post(url, headers=headers, json=data)
print(response.json())